Name: onedrive-gui
Version: 1.0.3
Release: 1%{?dist}
License: GPL3
Summary: A simple GUI for Linux OneDrive Client, with multi-account support
Requires: onedrive fuse

URL: https://github.com/bpozdena/OneDriveGUI
Source0: OneDriveGUI-1.0.3-x86_64.AppImage.tar.gz
Source1: onedrive-gui.desktop.tar.gz
BuildArch: x86_64

%description
A simple GUI for Linux OneDrive Client, with multi-account support.

%global debug_package %{nil}

%prep
%autosetup
%autosetup -a 1

%build
ls -l

%define __os_install_post %{nil}

%install
export DONT_STRIP=1
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
install -p -m 755 OneDriveGUI-%{version}-x86_64.AppImage %{buildroot}%{_bindir}/onedrive-gui
install -p -m 644 onedrive-gui-%{version}/onedrive-gui.desktop %{buildroot}%{_datadir}/applications/onedrive-gui.desktop

%check

%files
%{_bindir}/onedrive-gui
%{_datadir}/applications/onedrive-gui.desktop

%changelog
